For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
      • POSTCreate a payment request
      • GETGet payment request details
      • DELDelete a payment request.
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
EcommercePayments

Get payment request details

GET
https://api.brevo.com/v3/payments/requests/:id
GET
/v3/payments/requests/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.payments.getPaymentRequest("050db7b0-9bb7-4c1e-9c68-5a8dace8c1dc");
8}
9main();
1{
2 "cart": {
3 "currency": "EUR",
4 "specificAmount": 1200
5 },
6 "notification": {
7 "channel": "email",
8 "text": "Please pay for your yoga class."
9 },
10 "reference": "Invoice #INV0001\n",
11 "status": "paid",
12 "configuration": {
13 "customSuccessUrl": "https://my-company.com/payment-success"
14 },
15 "contactId": 43,
16 "numberOfRemindersSent": 5
17}

Retrieve the details of a specific payment request by its ID. The response includes the reference, status (created, sent, reminderSent, or paid), cart details, notification configuration, contact ID, and the number of reminders sent. Returns a 404 error if no payment request matches the provided ID.

Was this page helpful?
Previous

Delete a payment request.

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired
Id of the payment Request

Response

Payment request details
cartobject
Specify the payment currency and amount.
notificationobject

Optional. Use this object if you want to let Brevo send an email to the contact, with the payment request URL. If empty, no notifications (message and reminders) will be sent.

referencestring
Reference of the payment request, it will appear on the payment page.
statusenum
Status of the payment request.
Allowed values:
configurationobject
Optional. Redirect contact to a custom success page once payment is successful. If empty the default Brevo page will be displayed once a payment is validated
contactIdlong
Brevo ID of the contact requested to pay.
numberOfRemindersSentlong
number of reminders sent.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error